﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Backup {
    class MWRegistry {
        private static String databasePath;

        // Adresse der Firma in der Registry
        public static string C_REG_ADR = "SOFTWARE\\mwilhelm\\BACKUP";

        public static string C_REG_PRJNAME = "BACKUP";

        public static void setDatabasePath(string path) {
            if (!path.EndsWith("\\"))
                databasePath = path + "\\";
            else
                databasePath = path;
        }


        private static bool browserFolderDialogWithoutFiles = false;

        public static bool BrowserFolderDialogWithoutFiles {
            get { return browserFolderDialogWithoutFiles; }
            set {
                browserFolderDialogWithoutFiles = value;
                Basis.WriteRegBool(MWRegistry.C_REG_ADR, "browserFolderDialogWithoutFiles", browserFolderDialogWithoutFiles);
            }
        }

        static MWRegistry() {
            BrowserFolderDialogWithoutFiles = Basis.ReadRegBool(MWRegistry.C_REG_ADR, "browserFolderDialogWithoutFiles");
        }


    }
}
