﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.IO;

namespace Backup {
    public class Options {


        private static Options instance = new Options();

        public static Options getInstance() {
            return instance;
        }

        protected Options() {
            backupLastProject = Basis.ReadRegString(MWRegistry.C_REG_ADR, "backupLastProject");

        }  // ImportOptions



        private String backupLastProject = "";
        public String BackupLastProject {
            get { return backupLastProject; }
            set {
                backupLastProject = value;
                Basis.WriteRegString(MWRegistry.C_REG_ADR, "backupLastProject", backupLastProject);
            }
        }


        private String backupMainPath = "";
        public String BackupMainPath {
            get { return backupMainPath; }
            set {
                backupMainPath = value;
                Basis.WriteRegString(MWRegistry.C_REG_ADR, "backupMainPath", backupMainPath);
            }
        }

        private String backupSourcePath = "";
        public String BackupSourcePath {
            get { return backupSourcePath; }
            set {
                backupSourcePath = value;
                Basis.WriteRegString(MWRegistry.C_REG_ADR, "backupSourcePath", backupSourcePath);
            }
        }



    }
}
