﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Backup.NormalWindows {
    /// <summary>
    /// Interaction logic for WOptions.xaml
    /// </summary>
    public partial class WOptions : Window {
        private bool retcode = false;

        public bool Retcode {
            get { return retcode; }
        }

        public WOptions(Window parent) {
            InitializeComponent();
            this.Owner = parent;  // Important, because CenterOwner
            this.WindowStartupLocation = WindowStartupLocation.CenterOwner; // nur in XAML            
        }


        private void Window_Loaded(object sender, RoutedEventArgs e) {
            rbBrowserFolderDialog.IsChecked = !MWRegistry.BrowserFolderDialogWithoutFiles;
            rbBrowserFolderDialogWithFiles.IsChecked = MWRegistry.BrowserFolderDialogWithoutFiles;
            //chkDebug.IsChecked = ImportOptions.getInstance().DebugMeldungen;
        }

        private void bnOk_Click(object sender, RoutedEventArgs e) {
            MWRegistry.BrowserFolderDialogWithoutFiles = rbBrowserFolderDialogWithFiles.IsChecked == true;
            //ImportOptions.getInstance().DebugMeldungen = chkDebug.IsChecked == true;
            retcode = true;
            Close();
        }

        private void bnEsc_Click(object sender, RoutedEventArgs e) {
            Close();
        }
    }
}
